define(['jquery','bootstrap','backbone','underscore','editor/bootstrap/button'],function($,bs,$$,_,Button){
	return $$.Model.extend({
		defaults:{
			"vertical": false
			,"tagtype": "button"
			,"disabled": false
			,"style": null
			,"size": "btn-small"
			,"htmlattributes":null
			,"buttons":null
		}
		,element:null
		,buttons:null
		,initialize:function(attributes,options){
			var self=this;
			this.buttons = new $$.Collection();
		}
		,InitElement:function(){
			if(this.element){
				this.element = this.element.replaceWidth($('<div class="btn-group" />').toggleClass("btn-group-vertical",this.get("vertical")));
			}else{
				this.element = $('<div class="btn-group" />').toggleClass("btn-group-vertical",this.get("vertical"));	
			}

			if(this.get("buttons")){
				var self=this;
				_.each(this.get("buttons"),function(button){
					var b,cfg = _.extend({},self.attributes,button);
					delete cfg.buttons;
					delete cfg.vertical;
					b=new Button(cfg);
					self.buttons.add(b);
					b.GetElement().appendTo(self.GetElement());	
				});
				//this.GetElement().find("[data-toggle='tooltip']").tooltip();
			}
		}
		,GetElement:function(){
			if(!this.element)
				this.InitElement();
			return this.element;
		}
	})
});