define(['backbone','underscore'],function($$,_){
	return $$.Model.extend({
		initialize:function(attributes,options){
			this.InitDOM();
		}
		,InitDOM:function(){
			var self = this, input = document.createElement('input');
			_.each({
				'position': 'fixed'
				,'display': 'block'
				,'width': '100%'
				,'height': '24px'
				,'left': '0px'
				,'top': '0px'
				,'opacity': '.8'
			},function(v,k){input.style[k] = v;});

			document.body.appendChild(input);

			input.addEventListener('keyup',function(e){
				if(e.keyCode === 13){
					self.trigger('input',input.value.split(' '));
				}
			});
		}
		,Prompt:function(){
			return window.prompt.apply(window,arguments);
		}
	});
});