var net = require('net');
var Common = require('./common.js');

new (Common.Backbone.Model.extend({
	server:null
	,port:8124
	,host:'localhost'
	,initialize:function(){
		var self=this;
		this.server = net.createServer(function(socket){
			console.log("connection established");

			socket.write("herp ");
			socket.pipe(socket);
		});

		this.server.on('data',function(){
			self.OnData.apply(this,arguments);
		});

		this.server.listen(this.port,this.host,function(){
			console.log("now listening at "+self.host+":"+self.port);
		});
	},
	OnData:function(data){
		console.log("recieved: "+data);
	}
}));
