define(['editor/widget','jquery','tools','backbone','underscore','editor/bootstrap/buttongroup'],function(Widget,$,tools,$$,_,ButtonGroup){
	return Widget.extend({
		defaults:_.extend({},Widget.prototype.defaults,{
			'title': 'Tools'
			,'widgetBodyCssClass':'body toolbar'
			,'buttongroupWrap':'<div class="group-wrap" />'
		})
		,buttongroups:null
		,initialize:function(attributes,options){
			Widget.prototype.initialize.apply(this,arguments);
			var self = this, editor = this.get("parent").get("parent"), target = null;
			
			this.attributes.widget = this;
			this.attributes._ = _;

			this.buttongroups = new $$.Collection();
			this.InitButtonGroups();		}
		,InitButtonGroups:function(){
			var self=this, editor = this.get("parent").get("parent");
			_.each(this.get("buttongroups"),function(group){
				var g=new ButtonGroup(group);
				self.buttongroups.add(g);
				self.GetWidgetBody()
				.append(
					$(self.get("buttongroupWrap")).append(g.GetElement())
				);
			});
			this.on("action",function(action,element){
				editor.trigger("action",action,element);
			});
		}
	});
});