<% if(!targetObject) { %>
	<p class="muted text-center">No Object Selected.</p>
<% }else{ %>
<table class="table table-striped table-condensed">
	<thead>
		<tr>
			<th>Attribute</th>
			<th>Value</th>
		</tr>
	</thead>
	<tbody>
	<% _.each(targetObject.toJSON(),function(v,k){ if(targetObject.meta && targetObject.meta.attributes && targetObject.meta.attributes[k]) { %>
		<tr>
			<td><%= k%></td>
			<td><% if(_.isString(v)) { %>
					<input data-key="<%= k%>" type="text" value="<%= v%>" class="<%= inputSize %>">
				<% } else if(_.isBoolean(v)) { %>
					<input data-key="<%= k%>" type="checkbox" <% if(v) { %> checked="checked" <% } %> >
				<% } else if(_.isNumber(v)) { %>
					<input data-key="<%= k%>" type="number" value="<%= v%>" class="<%= inputSize %>">
				<% } else if(_.isNull(v) || _.isArray(v) || _.isObject(v)) { %>
					<button class="btn btn-success btn-mini" data-action="callWizard" data-key="<%= k%>">edit</button>
				<% } else { %>
					-
				<% } %>
			</td>
		</tr>
	<% }}); %>
	</tbody>
</table>
<% } %>