<% if(!targetObject) { %>
	<p class="muted text-center">No Object Selected.</p>
<% }else{ %>
	<% if(mode == "entity") {%>
		<div style="margin-bottom:5px">
		<div class="btn-group">
	        <button class="btn btn-small"><i class="icon-map-marker"></i> <%= targetObject.attributes.name || 'unnamed' %></button>
	        <button class="btn btn-small dropdown-toggle" data-toggle="dropdown"><span class="caret"></span></button>
	        <ul class="dropdown-menu">
            <li><a href="#" data-action="copy">Copy</a></li>
            <li><a href="#" data-action="cut">Cut</a></li>
            <li><a href="#" data-action="paste">Paste</a></li>
            <li class="divider"></li>
	          <li><a href="#" data-action="removeEntity">Remove</a></li>
	          <li><a href="#" data-action="duplicateEntity">Duplicate</a></li>
	          <li class="divider"></li>
	          <li><a href="#" data-action="addEntity">Add Entity</a></li>
            <li><a href="#" data-action="addModule">Add Module</a></li>
	        </ul>
	    </div>
	</div>
		<%if (targetObject.texture) { %>
		<p class="text-center preview"><span style="background-image:url(<%= targetObject.texture.toDataURL("image/png") %>)"></span></p>
		<% } %>
	<% } else if(mode == "module") { %>
        <div style="margin-bottom:5px">
          <div class="btn-group">
            <button class="btn btn-small"><i class="icon-leaf"></i> <%= targetObject.attributes.name || 'unnamed' %></button>
            <button class="btn btn-small dropdown-toggle" data-toggle="dropdown"><span class="caret"></span></button>
            <ul class="dropdown-menu">
              <li><a href="#" data-action="copy">Copy</a></li>
              <li><a href="#" data-action="cut">Cut</a></li>
              <li><a href="#" data-action="paste">Paste</a></li>
              <li class="divider"></li>
              <li><a href="#" data-action="removeModule">Remove</a></li>
              <li><a href="#" data-action="duplicateModule">Duplicate</a></li>
            </ul>
          </div>
        </div>
        <p class="text-center preview"><span class="no-texture"><i class="icon icon-large icon-leaf"></i></span></p>
	<% } else if(mode == "scene") { %>	
        <div style="margin-bottom:5px">
          <div class="btn-group">
            <button class="btn btn-small"><i class="icon-globe"></i> <%= targetObject.attributes.name || 'unnamed' %></button>
            <button class="btn btn-small dropdown-toggle" data-toggle="dropdown"><span class="caret"></span></button>
            <ul class="dropdown-menu">
              <li><a href="#" data-action="copy">Copy</a></li>
              <li><a href="#" data-action="cut">Cut</a></li>
              <li><a href="#" data-action="paste">Paste</a></li>
              <li class="divider"></li>
              <li><a href="#" data-action="removeScene">Remove</a></li>
              <li><a href="#" data-action="duplicateScene">Duplicate</a></li>
              <li class="divider"></li>
              <li><a href="#" data-action="addEntity">Add Entity</a></li>
            </ul>
          </div>
        </div>
		<%if (targetObject.get("game")) { %>
		<p class="text-center preview"><span style="background-image:url(<%= targetObject.get("game").get("buffer").toDataURL("image/png") %>)"></span></p>
		<% } %>
	<% } %>
<% } %>
