requirejs.config({
	shim: {
		'backbone' : {
			deps:['underscore']
			,exports:'Backbone'
		}
		,'underscore':{
			exports:'_'
		}
		,'glsl':{
			exports:'Glsl'
		}
		,'stats':{
			exports:'Stats'
		}
		,'jquery':{
			exports:'jQuery'
		}
		,'bootstrap':{
			deps:['jquery']
		}
		,'less':{
			exports:'less'
		}
	}
	,paths: {
        'underscore': '../libs/underscore-min'
        ,'backbone': '../libs/backbone-min'
        ,'jquery':'../libs/jquery-1.9.1.min'
        ,'bootstrap':'../libs/bootstrap/js/bootstrap.min'
        ,'glsl':'../libs/glsl'
        ,'stats':'../libs/stats.min'
        ,'less':'../libs/less/less-1.3.3.min'
    }
    ,deps:['backbone','glsl']
});

define(['editor/gui'],function(editor){
	new editor();
});